kind: KubeletConfiguration
apiVersion: kubelet.config.k8s.io/v1beta1
authentication:
  anonymous:
    enabled: false
  webhook:
    enabled: true
  x509:
    clientCAFile: "/var/lib/kubernetes/ca.pem"
authorization:
  mode: Webhook
clusterDomain: "cluster.local"
clusterDNS:
  - "{{cluster_dns}}"
podCIDR: "{{k8s.worker_router_prefix}}.{{ index }}.0/24"
runtimeRequestTimeout: "15m"
tlsCertFile: "/var/lib/kubelet/{{inventory_hostname_short}}.pem"
tlsPrivateKeyFile: "/var/lib/kubelet/{{inventory_hostname_short}}-key.pem"
